﻿using Syncfusion.SfDataGrid.XForms.DataPager;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Syncfusion.SfDataGrid.XForms;
using Syncfusion.Data;
using System.Reflection;
using System.Globalization;
using System.IO;

namespace DataGridDemo
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            dataGrid.GridStyle = new Style();
            dataGrid.GridLoaded += DataGrid_GridLoaded;
        }

        private void DataGrid_GridLoaded(object sender, GridLoadedEventArgs e)
        {
            // if we call ValueChanged event in Grid Loaded value changed will not 
            // raised in initial loading.
            dataGrid.ValueChanged += DataGrid_ValueChanged;

            //Sum of rows being checked.
            var count = viewModel.OrdersInfo.Count(x => x.IsClosed);
        }

        private void DataGrid_ValueChanged(object sender, Syncfusion.SfDataGrid.XForms.ValueChangedEventArgs e)
        {
            if (e.Column.MappingName == "IsClosed")
            {
                // Calculating sum of rows checked when the grid switch column value is changed.
                var count = viewModel.OrdersInfo.Count(x => x.IsClosed);
            }
        }
    }

    public class Style : DataGridStyle
    {
        public override Color GetBorderColor()
        {
            return Color.Red;
        }
    }
}
