﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace DataGridDemo
{
    public class OrderInfo : System.ComponentModel.INotifyPropertyChanged
    {
        private int orderID;
        private string customerID;
        private string customer;
        private string shipCity;
        private string shipCountry;
        private bool isClosed;



        public int OrderID
        {
            get
            {
                return orderID;
            }
            set
            {
                this.orderID = value;
                RaisePropertyChanged("OrderID");
            }
        }

        public string CustomerID
        {
            get
            {
                return customerID;
            }
            set
            {
                this.customerID = value;
                RaisePropertyChanged("CustomerID");
            }
        }

        public string ShipCity
        {
            get
            {
                return shipCity;
            }
            set
            {
                this.shipCity = value;
                RaisePropertyChanged("ShipCity");
            }
        }

        public string Customer
        {
            get { return this.customer; }
            set
            {
                this.customer = value;
                RaisePropertyChanged("Customer");
            }
        }

        public string ShipCountry
        {
            get
            {
                return shipCountry;
            }
            set
            {
                this.shipCountry = value;
                RaisePropertyChanged("ShipCountry");
            }
        }

        public bool IsClosed
        {
            get
            {
                return isClosed;
            }
            set
            {
                this.isClosed = value;
                RaisePropertyChanged("IsClosed");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }

        public OrderInfo(int orderId, string customerId, string country, string customer, string shipCity,bool isclosed)
        {
            this.OrderID = orderId;
            this.CustomerID = customerId;
            this.Customer = customer;
            this.ShipCountry = country;
            this.ShipCity = shipCity;
            this.isClosed = isclosed;
        }
    }
}